# Python template

A template for python project using [cookicutter](https://github.com/cookiecutter/cookiecutter).


## Cookicutter config

A good config to have for cookicutter at `~/.cookiecutterrc`:

```
abbreviations:
    pp: https://git.pains-perdus.fr/templates/{}.git

default_context:
    full_name: "Jane Doe"
    email: "jane.doe@example.com"
    git_user: "jdoe"
    gitea_url: "https://git.pains-perdus.fr"
```

To create the project on gitea, cookie cutter needs the `giteapy` module and a gitea token. The token can be retrieved with the `secretstorage` by looking up the secret `"Title": "Gitea Token"`, or by prompting the user.
